### Constructor

# Clutter RootNode new

#### Declaration [src]

    ClutterPaintNode*
    clutter_root_node_new (
      CoglFramebuffer* framebuffer,
      const ClutterColor* clear_color,
      CoglBufferBit clear_flags
    )

#### Description

No description available.

#### Parameters

`framebuffer`

  Type: `CoglFramebuffer`

  No description available.

  The data is owned by the caller of the function.

`clear_color`

  Type: `ClutterColor`

  No description available.

  The data is owned by the caller of the function.

`clear_flags`

  Type: `CoglBufferBit`

  No description available.

#### Return value

Type: `ClutterPaintNode`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.